#include <iostream>
#include <ctime>
#include <chrono>

using namespace std;
using namespace chrono;

int random(int min, int max) {
	return rand() % (max - min + 1) + min;
}

int main() {
	srand(time(nullptr));

	auto begin = high_resolution_clock::now();

	const int n = 10000;
	int brojevi[n];

	for (int i = 0; i < n; i++) {
		brojevi[i] = random(1, 5);
	}

	int sum = 0;
	for (int i = 0; i < n; i++) {
		sum += brojevi[i];
	}

	double avg = (double)sum / n;

	auto end = high_resolution_clock::now();

	cout << "Average: " << avg << endl;
	cout << "Execution time: " << duration_cast<microseconds>(end - begin).count() << " us." << endl;

	return 0;
}